library(optparse)

# ------------------------------------------------------------------------------
# defaults
# ------------------------------------------------------------------------------

default.ncores <- 32
# ------------------------------------------------------------------------------
# parsing arguments
# ------------------------------------------------------------------------------

options <- list (

	make_option(
		opt_str = c("-c", "--cores"),
		dest    = "ncores",
		type    = "integer",
		default = default.ncores,
		help    = paste0("number of CPU cores to use, defaults to ", default.ncores),
		metavar = "4"
	), 
	make_option(
	  opt_str = c("-i", "--chunk.i"),
	  dest    = "chunk.i",
	  type    = "integer",
	  default = 1,
	  help    = "which chunk out of 99",
	  metavar = "4"
	)
)

parser <- OptionParser(
       usage       = "Rscript %prog [options] data dt_beals header output",
       option_list = options,
       description = "\nan awesome R script",
       epilogue    = "use with caution, the awesomeness might slap you in the face!"
)

cli <- parse_args(parser, positional_arguments = 2)

# ------------------------------------------------------------------------------
# assign a few shortcuts
# ------------------------------------------------------------------------------

header   	     <- cli$args[1]
output  	     <- cli$args[2]
ncores   	     <- cli$options$ncores
chunk.i         <- cli$options$chunk.i


# ------------------------------------------------------------------------------
# actual program
# ------------------------------------------------------------------------------

source("A97_ElevationExtract.R")

ElevationExtract(header, output, ncores, chunk.i)

